% Generated by roxygen2 (4.0.0): do not edit by hand
\name{stri_extract_all}
\alias{stri_extract_all}
\title{Extract All Pattern Matches}
\usage{
stri_extract_all(str, ..., regex, coll, charclass)
}
\arguments{
\item{str}{character vector of strings to search in}

\item{...}{additional arguments passed to the underlying functions}

\item{regex}{character vector; regular expressions}

\item{coll}{character vector; canonically equivalent patterns}

\item{charclass}{character vector; identifiers of character classes}
}
\value{
Returns a list of character vectors.
}
\description{
A convenience function.
Calls either \code{\link{stri_extract_all_regex}},
\code{\link{stri_extract_all_coll}},
or \code{\link{stri_extract_all_charclass}},
depending on the argument used.
}
\details{
Unless you are very lazy, please call the underlying functions
directly for better performance.
}
\examples{
\dontshow{if (stri_install_check(silent=TRUE))}
stri_extract_all('XaaaaX', regex=c('\\\\p{Ll}', '\\\\p{Ll}+', '\\\\p{Ll}{2,3}', '\\\\p{Ll}{2,3}?'))

\dontshow{if (stri_install_check(silent=TRUE))}
stri_extract_all('Bartolini', coll='i')

\dontshow{if (stri_install_check(silent=TRUE))}
stri_extract_all('stringi is so good!', charclass='\\\\p{Zs}') # all whitespaces
}
\seealso{
Other search_extract: \code{\link{stri_extract_all_charclass}},
  \code{\link{stri_extract_first_charclass}},
  \code{\link{stri_extract_first_charclass}},
  \code{\link{stri_extract_last_charclass}},
  \code{\link{stri_extract_last_charclass}};
  \code{\link{stri_extract_all_coll}},
  \code{\link{stri_extract_first_coll}},
  \code{\link{stri_extract_first_coll}},
  \code{\link{stri_extract_last_coll}},
  \code{\link{stri_extract_last_coll}};
  \code{\link{stri_extract_all_regex}},
  \code{\link{stri_extract_first_regex}},
  \code{\link{stri_extract_first_regex}},
  \code{\link{stri_extract_last_regex}},
  \code{\link{stri_extract_last_regex}};
  \code{\link{stri_extract_first}};
  \code{\link{stri_extract_last}};
  \code{\link{stri_extract_words}};
  \code{\link{stri_extract}}; \code{\link{stringi-search}}
}

